OpenLongObjectHashMap (Colt 1.2.0 - API Specification)
Keywords: cern.colt.map.OpenLongObjectHashMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.map
Class OpenLongObjectHashMap

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.map.AbstractMap
              cern.colt.map.AbstractLongObjectMap
                  cern.colt.map.OpenLongObjectHashMap

All Implemented Interfaces:
  Cloneable, Serializable

public class OpenLongObjectHashMap
extends AbstractLongObjectMap

Hash map holding (key,value) associations of type `(long-->Object)`; Automatically grows and shrinks as needed; Implemented using open addressing with double hashing. First see the package summary and javadoc tree view to get the broad picture. Overrides many methods for performance reasons only.

Version:
  1.0, 09/24/99
See Also:
  `HashMap`, Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`OpenLongObjectHashMap()` Constructs an empty map with default capacity and default load factors.
`OpenLongObjectHashMap(int initialCapacity)` Constructs an empty map with the specified initial capacity and default load factors.
`OpenLongObjectHashMap(int initialCapacity, double minLoadFactor, double maxLoadFactor)` Constructs an empty map with the specified initial capacity and the specified minimum and maximum load factor.

Method Summary
`void` | `clear()` Removes all (key,value) associations from the receiver.
`Object` | `clone()` Returns a deep copy of the receiver.
`boolean` | `containsKey(long key)` Returns `true` if the receiver contains the specified key.
`boolean` | `containsValue(Object value)` Returns `true` if the receiver contains the specified value.
`void` | `ensureCapacity(int minCapacity)` Ensures that the receiver can hold at least the specified number of associations without needing to allocate new internal memory.
`boolean` | `forEachKey(LongProcedure procedure)` Applies a procedure to each key of the receiver, if any.
`boolean` | `forEachPair(LongObjectProcedure procedure)` Applies a procedure to each (key,value) pair of the receiver, if any.
`Object` | `get(long key)` Returns the value associated with the specified key.
`long` | `keyOf(Object value)` Returns the first key the given value is associated with.
`void` | `keys(LongArrayList list)` Fills all keys contained in the receiver into the specified list.
`void` | `pairsMatching(LongObjectProcedure condition, LongArrayList keyList, ObjectArrayList valueList)` Fills all pairs satisfying a given condition into the specified lists.
`boolean` | `put(long key, Object value)` Associates the given key with the given value.
`boolean` | `removeKey(long key)` Removes the given key with its associated element from the receiver, if present.
`void` | `trimToSize()` Trims the capacity of the receiver to be the receiver's current size.
`void` | `values(ObjectArrayList list)` Fills all values contained in the receiver into the specified list.

Methods inherited from class cern.colt.map.AbstractLongObjectMap
`copy, equals, keys, keysSortedByValue, pairsSortedByKey, pairsSortedByValue, toString, toStringByValue, values`

Methods inherited from class cern.colt.map.AbstractMap
`isEmpty, size`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenLongObjectHashMap

    public OpenLongObjectHashMap()

  Constructs an empty map with default capacity and default load factors.

### OpenLongObjectHashMap

    public OpenLongObjectHashMap(int initialCapacity)

  Constructs an empty map with the specified initial capacity and default load factors.

Parameters:
  `initialCapacity` - the initial capacity of the map.
Throws:
  `IllegalArgumentException` - if the initial capacity is less than zero.

### OpenLongObjectHashMap

    public OpenLongObjectHashMap(int initialCapacity,
                                 double minLoadFactor,
                                 double maxLoadFactor)

  Constructs an empty map with the specified initial capacity and the specified minimum and maximum load factor.

Parameters:
  `initialCapacity` - the initial capacity.
  `minLoadFactor` - the minimum load factor.
  `maxLoadFactor` - the maximum load factor.
Throws:
  `IllegalArgumentException` - if `initialCapacity < 0 || (minLoadFactor < 0.0 || minLoadFactor >= 1.0) || (maxLoadFactor <= 0.0 || maxLoadFactor >= 1.0) || (minLoadFactor >= maxLoadFactor)`.

Method Detail

### clear

    public void clear()

  Removes all (key,value) associations from the receiver. Implicitly calls `trimToSize()`.

  Specified by:
    `clear` in class `AbstractMap`

### clone

    public Object clone()

  Returns a deep copy of the receiver.

  Overrides:
    `clone` in class `PersistentObject`
  Returns:
    a deep copy of the receiver.

### containsKey

    public boolean containsKey(long key)

  Returns `true` if the receiver contains the specified key.

  Overrides:
    `containsKey` in class `AbstractLongObjectMap`
  Returns:
    `true` if the receiver contains the specified key.

### containsValue

    public boolean containsValue(Object value)

  Returns `true` if the receiver contains the specified value.

  Overrides:
    `containsValue` in class `AbstractLongObjectMap`
  Returns:
    `true` if the receiver contains the specified value.

### ensureCapacity

    public void ensureCapacity(int minCapacity)

  Ensures that the receiver can hold at least the specified number of associations without needing to allocate new internal memory. If necessary, allocates new internal memory and increases the capacity of the receiver.

  This method never need be called; it is for performance tuning only. Calling this method before `put()`ing a large number of associations boosts performance, because the receiver will grow only once instead of potentially many times and hash collisions get less probable.

  Overrides:
    `ensureCapacity` in class `AbstractMap`
  Parameters:
    `minCapacity` - the desired minimum capacity.

### forEachKey

    public boolean forEachKey(LongProcedure procedure)

  Applies a procedure to each key of the receiver, if any. Note: Iterates over the keys in no particular order. Subclasses can define a particular order, for example, "sorted by key". All methods which can be expressed in terms of this method (most methods can) must guarantee to use the same order defined by this method, even if it is no particular order. This is necessary so that, for example, methods `keys` and `values` will yield association pairs, not two uncorrelated lists.

  Specified by:
    `forEachKey` in class `AbstractLongObjectMap`
  Parameters:
    `procedure` - the procedure to be applied. Stops iteration if the procedure returns `false`, otherwise continues.
  Returns:
    `false` if the procedure stopped before all keys where iterated over, `true` otherwise.

### forEachPair

    public boolean forEachPair(LongObjectProcedure procedure)

  Applies a procedure to each (key,value) pair of the receiver, if any. Iteration order is guaranteed to be identical to the order used by method `forEachKey(LongProcedure)`.

  Overrides:
    `forEachPair` in class `AbstractLongObjectMap`
  Parameters:
    `procedure` - the procedure to be applied. Stops iteration if the procedure returns `false`, otherwise continues.
  Returns:
    `false` if the procedure stopped before all keys where iterated over, `true` otherwise.

### get

    public Object get(long key)

  Returns the value associated with the specified key. It is often a good idea to first check with `containsKey(long)` whether the given key has a value associated or not, i.e. whether there exists an association for the given key or not.

  Specified by:
    `get` in class `AbstractLongObjectMap`
  Parameters:
    `key` - the key to be searched for.
  Returns:
    the value associated with the specified key; `null` if no such key is present.

### keyOf

    public long keyOf(Object value)

  Returns the first key the given value is associated with. It is often a good idea to first check with `containsValue(Object)` whether there exists an association from a key to this value. Search order is guaranteed to be identical to the order used by method `forEachKey(LongProcedure)`.

  Overrides:
    `keyOf` in class `AbstractLongObjectMap`
  Parameters:
    `value` - the value to search for.
  Returns:
    the first key for which holds `get(key) == value`; returns `Long.MIN_VALUE` if no such key exists.

### keys

    public void keys(LongArrayList list)

  Fills all keys contained in the receiver into the specified list. Fills the list, starting at index 0. After this call returns the specified list has a new size that equals `this.size()`. Iteration order is guaranteed to be identical to the order used by method `forEachKey(LongProcedure)`.

  This method can be used to iterate over the keys of the receiver.

  Overrides:
    `keys` in class `AbstractLongObjectMap`
  Parameters:
    `list` - the list to be filled, can have any size.

### pairsMatching

    public void pairsMatching(LongObjectProcedure condition,
                              LongArrayList keyList,
                              ObjectArrayList valueList)

  Fills all pairs satisfying a given condition into the specified lists. Fills into the lists, starting at index 0. After this call returns the specified lists both have a new size, the number of pairs satisfying the condition. Iteration order is guaranteed to be identical to the order used by method `forEachKey(LongProcedure)`.

  Example:

      LongObjectProcedure condition = new LongObjectProcedure() { // match even keys only
              public boolean apply(long key, Object value) { return key%2==0; }
      }
      keys = (8,7,6), values = (1,2,2) --> keyList = (6,8), valueList = (2,1)

  Overrides:
    `pairsMatching` in class `AbstractLongObjectMap`
  Parameters:
    `condition` - the condition to be matched. Takes the current key as first and the current value as second argument.
    `keyList` - the list to be filled with keys, can have any size.
    `valueList` - the list to be filled with values, can have any size.

### put

    public boolean put(long key,
                       Object value)

  Associates the given key with the given value. Replaces any old `(key,someOtherValue)` association, if existing.

  Specified by:
    `put` in class `AbstractLongObjectMap`
  Parameters:
    `key` - the key the value shall be associated with.
    `value` - the value to be associated.
  Returns:
    `true` if the receiver did not already contain such a key; `false` if the receiver did already contain such a key - the new value has now replaced the formerly associated value.

### removeKey

    public boolean removeKey(long key)

  Removes the given key with its associated element from the receiver, if present.

  Specified by:
    `removeKey` in class `AbstractLongObjectMap`
  Parameters:
    `key` - the key to be removed from the receiver.
  Returns:
    `true` if the receiver contained the specified key, `false` otherwise.

### trimToSize

    public void trimToSize()

  Trims the capacity of the receiver to be the receiver's current size. Releases any superfluous internal memory. An application can use this operation to minimize the storage of the receiver.

  Overrides:
    `trimToSize` in class `AbstractMap`

### values

    public void values(ObjectArrayList list)

  Fills all values contained in the receiver into the specified list. Fills the list, starting at index 0. After this call returns the specified list has a new size that equals `this.size()`. Iteration order is guaranteed to be identical to the order used by method `forEachKey(LongProcedure)`.

  This method can be used to iterate over the values of the receiver.

  Overrides:
    `values` in class `AbstractLongObjectMap`
  Parameters:
    `list` - the list to be filled, can have any size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage